#include "TEMT6000.h"

TEMT6000::TEMT6000( void ) : sensorPin(A2) {};
TEMT6000::TEMT6000( int anyPin ) : sensorPin(anyPin) {};

bool TEMT6000::begin(){
	pinMode(sensorPin, INPUT);
	return true;
}

float TEMT6000::getLightIntensity(){
	MaxRead = 100;
    lightIntensity = MaxRead * (analogRead(sensorPin) / 1023.0);
    return lightIntensity;
}
